Subject: bug#15555: 24.3; Bidirectional display very slow with long lines

From: Dmitry Antipov <[email-masked]>
Date: Thu, 20 Feb 2014 11:21:49 +0400

On 02/19/2014 09:39 PM, Eli Zaretskii wrote:

> According to the value of point that you gave, this happens when the
> next buffer position, the one where right-char should move, is beyond
> the window, i.e. not on the same screen line.
>
> Did you try enlarging the window so that the entire text of 4000.txt
> fits in the window?  Do you still see slow cursor movement in that
> case?

When I toggle fullscreen and the whole text fits in the window,
it works smoothly as with 2000.txt example.

Dmitry